## urdfdom 3.0.0+ds

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 3.5 FATAL_ERROR )
project (urdfdom CXX C)

set (URDF_MAJOR_VERSION 3)
set (URDF_MINOR_VERSION 0)
set (URDF_PATCH_VERSION 0)

set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
set (URDF_MAJOR_MINOR_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION})

message (STATUS "${PROJECT_NAME} version ${URDF_VERSION}")

include(GNUInstallDirs)

# set the default build type
if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

# If compiler support symbol visibility, enable it.
include(CheckCCompilerFlag)
check_c_compiler_flag(-fvisibility=hidden HAS_VISIBILITY)
if (HAS_VISIBILITY)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# This shouldn't be necessary, but there has been trouble
# with MSVC being set off, but MSVCXX ON.
if(MSVC OR MSVC90 OR MSVC10)
  set(MSVC ON)
endif (MSVC OR MSVC90 OR MSVC10)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(tinyxml_vendor QUIET)
find_package(TinyXML)
# bionic has not cmake module, workaround
if (NOT TinyXML_FOUND AND UNIX)
  include(FindPkgConfig)
  pkg_check_modules (TinyXML tinyxml)
else()
  # Make it fail in platforms without pkgconfig
  find_package(TinyXML REQUIRED) # bionic has not cmake module
endif()
find_package(urdfdom_headers 1.0 REQUIRED)
find_package(console_bridge_vendor QUIET) # Provides console_bridge 0.4.0 on platforms without it.
find_package(console_bridge REQUIRED)

#In Visual Studio a special postfix for libraries compiled in debug is used
if(MSVC)
  set(CMAKE_DEBUG_POSTFIX "d")
endif(MSVC)

# Control where libraries and executables are placed during the build
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")

enable_testing()

if(WIN32 AND NOT CYGWIN)
  set(CMAKE_CONFIG_INSTALL_DIR CMake)
else()
  set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/cmake)
endif()
string(REGEX REPLACE "[^/]+" ".." RELATIVE_PATH_CMAKE_DIR_TO_PREFIX "${CMAKE_CONFIG_INSTALL_DIR}")
string(REGEX REPLACE "[^/]+" ".." RELATIVE_PATH_LIBDIR_TO_PREFIX "${CMAKE_INSTALL_LIBDIR}")

add_subdirectory(urdf_parser)

set(PKG_NAME ${PROJECT_NAME})
set(PKG_LIBRARIES urdfdom_sensor urdfdom_model_state urdfdom_model urdfdom_world)
set(PKG_DEPENDS urdfdom_headers console_bridge)
set(PKG_EXPORTS urdfdom)
set(cmake_conf_file "cmake/urdfdom-config.cmake")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${cmake_conf_file}.in" "${CMAKE_BINARY_DIR}/${cmake_conf_file}" @ONLY)
install(FILES package.xml DESTINATION share/${PROJECT_NAME})
install(FILES ${CMAKE_BINARY_DIR}/${cmake_conf_file}
  DESTINATION ${CMAKE_CONFIG_INSTALL_DIR} COMPONENT cmake)

# Make the package config file
if (NOT MSVC)
  set(PKG_DESC "Unified Robot Description Format")
  set(PKG_DEPENDS "urdfdom_headers console_bridge") # make the list separated by spaces instead of ;
  set(PKG_URDF_LIBS "-lurdfdom_sensor -lurdfdom_model_state -lurdfdom_model -lurdfdom_world")
  set(pkg_conf_file "cmake/pkgconfig/urdfdom.pc")
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
  install(FILES ${CMAKE_BINARY_DIR}/${pkg_conf_file}
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)
endif()


# Add uninstall target
# Ref: http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
configure_file(
  "${PROJECT_SOURCE_DIR}/cmake/uninstall.cmake.in"
  "${PROJECT_BINARY_DIR}/uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_BINARY_DIR}/uninstall.cmake")

message(STATUS "Configuration successful. Type make to compile urdfdom")

SET_DIRECTORY_PROPERTIES(PROPERTIES
  ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/cmake/urdfdom-config.cmake
  ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/cmake/pkgconfig/urdfdom.pc)

=== debian/changelog ===
urdfdom (3.0.0+ds-5build2) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Dec 2021 16:33:06 +0000

urdfdom (3.0.0+ds-5build1) jammy; urgency=medium

  * No-change rebuild against libconsole-bridge1.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 02:49:03 +0000

urdfdom (3.0.0+ds-5) unstable; urgency=medium

  * Add patch to fix urdfdom-cmake.cmake

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 09 Nov 2021 21:46:45 +0000

urdfdom (3.0.0+ds-4) unstable; urgency=medium

  * Move to unstable to complete transition

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 08 Nov 2021 22:24:18 +0000

urdfdom (3.0.0+ds-3) experimental; urgency=medium

  * Revert rename of liburdfdom-tools package

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 05 Nov 2021 12:22:29 +0000

urdfdom (3.0.0+ds-2) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop superfluous dependencies

  [ Jose Luis Rivero ]
  * Add Replaces+Break for liburdfdom-tools
    (Closes: #998016)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 29 Oct 2021 11:08:44 +0000

urdfdom (3.0.0+ds-1) experimental; urgency=medium

  * New upstream version 3.0.0
  * Require pkg-config for autopkgtest
  * Rename lib packages to match 3.0 SOVERSION
  * Update copyright
  * Remove multiarch patch
  * Update standards to 4.6.0
  * Use debhelper-compat 13
  * Added rules-require-root no
  * Remove console_bridge patch
  * Install all binary tools in -tools package
  * Install package.xml file in -dev package
  * Add manpage for urdf_to_graphviz
  * Use system gtest. Exclude gtest from sources

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 17 Oct 2021 17:53:47 +0000

urdfdom (1.0.4+ds-3) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 08 Sep 2021 15:25:40 +0000

=== debian/control ===
Source: urdfdom
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libtinyxml-dev,
               libconsole-bridge-dev,
               liburdfdom-headers-dev (>= 1.0),
               googletest
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/urdfdom
Vcs-Git: https://salsa.debian.org/science-team/urdfdom.git
Rules-Requires-Root: no
Homepage: https://github.com/ros/urdfdom

Package: liburdfdom-model3.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - model library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model library.

Package: liburdfdom-model-state3.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - model state library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM model state library.

Package: liburdfdom-sensor3.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - sensor library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM sensor library.

Package: liburdfdom-world3.0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - world library
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the URDF DOM world library.

Package: liburdfdom-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libtinyxml-dev,
         libconsole-bridge-dev,
         liburdfdom-headers-dev (>= 1.0),
         liburdfdom-model3.0 (= ${binary:Version}),
         liburdfdom-model-state3.0 (= ${binary:Version}),
         liburdfdom-sensor3.0 (= ${binary:Version}),
         liburdfdom-world3.0 (= ${binary:Version}),
         ${misc:Depends}
Description: URDF DOM - development files
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains the development files (headers, pkg-config and
 CMake files).

Package: liburdfdom-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: URDF DOM - tools
 The URDF (U-Robot Description Format) library provides core data
 structures and a simple XML parsers for populating the class data
 structures from an URDF file.
 .
 This package contains additional tools.

=== debian/tests/control ===
Tests: build
Depends: @, build-essential, pkg-config

## urdfdom 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,11 +49,6 @@
 find_package(urdfdom_headers 1.0 REQUIRED)
 find_package(console_bridge_vendor QUIET) # Provides console_bridge 0.4.0 on platforms without it.
 find_package(console_bridge REQUIRED)
-
-#In Visual Studio a special postfix for libraries compiled in debug is used
-if(MSVC)
-  set(CMAKE_DEBUG_POSTFIX "d")
-endif(MSVC)
 
 # Control where libraries and executables are placed during the build
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")

=== urdf_parser/CMakeLists.txt ===
macro(add_urdfdom_library)
  set(oneValueArgs LIBNAME)
  set(multiValueArgs SOURCES LINK)
  cmake_parse_arguments(add_urdfdom_library "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})

  add_library(${add_urdfdom_library_LIBNAME} SHARED
    ${add_urdfdom_library_SOURCES})
  target_include_directories(${add_urdfdom_library_LIBNAME} SYSTEM PUBLIC
    ${TinyXML_INCLUDE_DIRS})
  target_include_directories(${add_urdfdom_library_LIBNAME} PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
    "$<INSTALL_INTERFACE:include>")
  target_link_libraries(${add_urdfdom_library_LIBNAME} PUBLIC
    ${add_urdfdom_library_LINK}
    ${console_bridge_link_libs}
    ${urdfdom_headers_link_libs}
    ${TinyXML_LIBRARIES})
  if(NOT CMAKE_CXX_STANDARD)
    target_compile_features(${add_urdfdom_library_LIBNAME} PUBLIC cxx_std_14)
  endif()
  set_target_properties(${add_urdfdom_library_LIBNAME} PROPERTIES
    DEFINE_SYMBOL URDFDOM_EXPORTS
    SOVERSION ${URDF_MAJOR_MINOR_VERSION})
endmacro()

if(TARGET console_bridge::console_bridge)
  set(console_bridge_link_libs "console_bridge::console_bridge")
else()
  set(console_bridge_link_libs "console_bridge")
endif()

if(TARGET urdfdom_headers::urdfdom_headers)
  set(urdfdom_headers_link_libs "urdfdom_headers::urdfdom_headers")
else()
  set(urdfdom_headers_link_libs "")
endif()

add_urdfdom_library(
  LIBNAME
    urdfdom_world
  SOURCES
    src/pose.cpp
    src/model.cpp
    src/link.cpp
    src/joint.cpp
    src/world.cpp)

add_urdfdom_library(
  LIBNAME
    urdfdom_model
  SOURCES
    src/pose.cpp
    src/model.cpp
    src/link.cpp
    src/joint.cpp)

add_urdfdom_library(
  LIBNAME
    urdfdom_sensor
  SOURCES
    src/urdf_sensor.cpp
  LINK
    urdfdom_model)

add_urdfdom_library(
  LIBNAME
    urdfdom_model_state
  SOURCES
    src/urdf_model_state.cpp
    src/twist.cpp)

# --------------------------------

add_executable(check_urdf src/check_urdf.cpp)
target_include_directories(check_urdf PUBLIC include)
target_link_libraries(check_urdf urdfdom_model urdfdom_world)

# Deprecated executable
add_executable(urdf_to_graphiz src/urdf_to_graphviz.cpp)
target_link_libraries(urdf_to_graphiz urdfdom_model)

add_executable(urdf_to_graphviz src/urdf_to_graphviz.cpp)
target_include_directories(urdf_to_graphviz PUBLIC include)
target_link_libraries(urdf_to_graphviz urdfdom_model)

# urdf_mem_test is a binary for testing, not a unit test
add_executable(urdf_mem_test test/memtest.cpp)
target_include_directories(urdf_mem_test PUBLIC include)
target_link_libraries(urdf_mem_test urdfdom_model)

include(CTest)
if(BUILD_TESTING)
  # TODO: check Shane's comment https://github.com/ros/urdfdom/pull/157/files#r664960227
  add_subdirectory(test)
endif()

INSTALL(
  TARGETS
  check_urdf
  urdf_to_graphiz
  urdf_to_graphviz
  urdf_mem_test
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
INSTALL(
  TARGETS
  urdfdom_model
  urdfdom_world
  urdfdom_sensor
  urdfdom_model_state
  EXPORT
  urdfdom
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)
install(
  EXPORT urdfdom
  DESTINATION ${CMAKE_CONFIG_INSTALL_DIR}
  NAMESPACE "${PROJECT_NAME}::"
  FILE "urdfdomExport.cmake"
)

INSTALL(DIRECTORY include/urdf_parser DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== urdf_parser/test/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/gtest/include
  ${CMAKE_CURRENT_SOURCE_DIR}/gtest
  ${CMAKE_CURRENT_SOURCE_DIR}
)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
target_compile_features(gtest PUBLIC cxx_std_11)

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)

# unit test to fix geometry problems
set(tests
     urdf_double_convert.cpp
     urdf_unit_test.cpp
     urdf_version_test.cpp
)

#################################################
# Build all the tests
foreach(GTEST_SOURCE_file ${tests})
  string(REGEX REPLACE ".cpp" "" BINARY_NAME ${GTEST_SOURCE_file})
  add_executable(${BINARY_NAME} ${GTEST_SOURCE_file})

  target_link_libraries(${BINARY_NAME}
    gtest_main
    gtest
    urdfdom_model
  )
  if (UNIX)
    target_link_libraries(${BINARY_NAME} pthread)
  endif()

  add_test(NAME    ${BINARY_NAME}
           COMMAND ${BINARY_NAME}
                   --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}.xml)

  set_tests_properties(${BINARY_NAME} PROPERTIES TIMEOUT 240 ENVIRONMENT LC_ALL=C)

  add_test(NAME    ${BINARY_NAME}_locale
           COMMAND ${BINARY_NAME}
                   --gtest_output=xml:${CMAKE_BINARY_DIR}/test_results/${BINARY_NAME}_locale.xml)

  set_tests_properties(${BINARY_NAME}_locale PROPERTIES TIMEOUT 240 ENVIRONMENT LC_ALL=nl_NL.UTF-8)
endforeach()

=== debian/changelog ===
urdfdom (3.0.1-1) unstable; urgency=medium

  * Add cmake to autopkgtest
  * Update changelog
  * New upstream version 3.0.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Feb 2022 15:36:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: urdfdom
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: libs
 Priority: optional

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh  $@

override_dh_auto_clean:
	rm -f cmake/pkgconfig/urdfdom.pc \
	      cmake/urdfdom-config.cmake
	find urdf_parser/ -name *.pyc -exec rm {} \;
	dh_auto_clean --

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds// \
     https://github.com/ros/urdfdom/tags .*/v?(\d\S*)\.tar\.gz

## urdfdom 4.0.0

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 3.5 FATAL_ERROR )
project (urdfdom CXX C)

set (URDF_MAJOR_VERSION 4)
set (URDF_MINOR_VERSION 0)
set (URDF_PATCH_VERSION 0)

set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
set (URDF_MAJOR_MINOR_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION})

message (STATUS "${PROJECT_NAME} version ${URDF_VERSION}")

include(GNUInstallDirs)

option(APPEND_PROJECT_NAME_TO_INCLUDEDIR
  "When ON headers are installed to a folder ending with an extra ${PROJECT_NAME}. \
  This avoids include directory search order issues when overriding this package
  from a merged catkin, ament, or colcon workspace." ON)

if(APPEND_PROJECT_NAME_TO_INCLUDEDIR)
  set(CMAKE_INSTALL_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}")
endif()

# set the default build type
if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

# If compiler support symbol visibility, enable it.
include(CheckCCompilerFlag)
check_c_compiler_flag(-fvisibility=hidden HAS_VISIBILITY)
if (HAS_VISIBILITY)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# This shouldn't be necessary, but there has been trouble
# with MSVC being set off, but MSVCXX ON.
if(MSVC OR MSVC90 OR MSVC10)
  set(MSVC ON)
endif (MSVC OR MSVC90 OR MSVC10)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

find_package(tinyxml2_vendor QUIET)
find_package(TinyXML2 REQUIRED)

find_package(urdfdom_headers 1.0 REQUIRED)
find_package(console_bridge_vendor QUIET) # Provides console_bridge 0.4.0 on platforms without it.
find_package(console_bridge REQUIRED)

# Control where libraries and executables are placed during the build
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")

enable_testing()

set(CMAKE_CONFIG_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/cmake)
string(REGEX REPLACE "[^/]+" ".." RELATIVE_PATH_CMAKE_DIR_TO_PREFIX "${CMAKE_CONFIG_INSTALL_DIR}")
string(REGEX REPLACE "[^/]+" ".." RELATIVE_PATH_LIBDIR_TO_PREFIX "${CMAKE_INSTALL_LIBDIR}")

add_subdirectory(urdf_parser)

set(PKG_NAME ${PROJECT_NAME})
set(PKG_LIBRARIES urdfdom_sensor urdfdom_model_state urdfdom_model urdfdom_world)
set(PKG_DEPENDS urdfdom_headers)
set(PKG_EXPORTS urdfdom)
set(cmake_conf_file "cmake/urdfdom-config")
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_file}Version.cmake"
  VERSION ${URDF_VERSION}
  COMPATIBILITY SameMajorVersion
)
configure_package_config_file("${cmake_conf_file}.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_file}.cmake"
  INSTALL_DESTINATION ${CMAKE_CONFIG_INSTALL_DIR}
)
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_file}.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_file}Version.cmake"
  DESTINATION ${CMAKE_CONFIG_INSTALL_DIR}
)

install(FILES package.xml DESTINATION share/${PROJECT_NAME})

# Make the package config file
set(PKG_DESC "Unified Robot Description Format")
set(PKG_DEPENDS "urdfdom_headers") # make the list separated by spaces instead of ;
set(PKG_URDF_LIBS "-lurdfdom_sensor -lurdfdom_model_state -lurdfdom_model -lurdfdom_world")
set(pkg_conf_file "cmake/pkgconfig/urdfdom.pc")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/${pkg_conf_file}
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT pkgconfig)


# Add uninstall target
# Ref: http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
configure_file(
  "${PROJECT_SOURCE_DIR}/cmake/uninstall.cmake.in"
  "${PROJECT_BINARY_DIR}/uninstall.cmake" IMMEDIATE @ONLY)
add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_BINARY_DIR}/uninstall.cmake")

message(STATUS "Configuration successful. Type make to compile urdfdom")

SET_DIRECTORY_PROPERTIES(PROPERTIES
  ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/cmake/urdfdom-config.cmake
  ADDITIONAL_MAKE_CLEAN_FILES ${CMAKE_BINARY_DIR}/cmake/pkgconfig/urdfdom.pc)

=== urdf_parser/CMakeLists.txt ===
--- 
+++ 
@@ -5,16 +5,17 @@
 
   add_library(${add_urdfdom_library_LIBNAME} SHARED
     ${add_urdfdom_library_SOURCES})
-  target_include_directories(${add_urdfdom_library_LIBNAME} SYSTEM PUBLIC
-    ${TinyXML_INCLUDE_DIRS})
   target_include_directories(${add_urdfdom_library_LIBNAME} PUBLIC
     "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
-    "$<INSTALL_INTERFACE:include>")
+    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
   target_link_libraries(${add_urdfdom_library_LIBNAME} PUBLIC
     ${add_urdfdom_library_LINK}
+    ${urdfdom_headers_link_libs}
+  )
+  target_link_libraries(${add_urdfdom_library_LIBNAME} PRIVATE
     ${console_bridge_link_libs}
-    ${urdfdom_headers_link_libs}
-    ${TinyXML_LIBRARIES})
+    tinyxml2::tinyxml2
+  )
   if(NOT CMAKE_CXX_STANDARD)
     target_compile_features(${add_urdfdom_library_LIBNAME} PUBLIC cxx_std_14)
   endif()
@@ -69,6 +70,15 @@
     src/urdf_model_state.cpp
     src/twist.cpp)
 
+add_library(urdf_parser INTERFACE)
+target_include_directories(urdf_parser INTERFACE
+  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
+  "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
+target_link_libraries(urdf_parser INTERFACE
+  urdfdom::urdfdom_model
+  urdfdom::urdfdom_sensor
+  urdfdom::urdfdom_world)
+
 # --------------------------------
 
 add_executable(check_urdf src/check_urdf.cpp)
@@ -110,6 +120,7 @@
   urdfdom_world
   urdfdom_sensor
   urdfdom_model_state
+  urdf_parser
   EXPORT
   urdfdom
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}

=== debian/changelog ===
urdfdom (4.0.0-4) unstable; urgency=medium

  * Add patch for gcc15 (Closes: #1098046)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 11 Sep 2025 15:23:12 +0000

urdfdom (4.0.0-3) unstable; urgency=medium

  * Bump autopktest CMake version

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 11 Sep 2025 15:22:08 +0000

urdfdom (4.0.0-2) unstable; urgency=medium

  * Move to unstable per #1093611

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 06 Feb 2025 12:00:40 +0100

urdfdom (4.0.0-1) experimental; urgency=medium

  * New upstream version 4.0.0
  * Need cmake for autopkgtest
  * Use cmake components for autopkgtest
  * Replace dep on tinxyxml by tinyxml2
  * Bump metadata in libs from 3.0 to 4.0
  * Bump standards to 4.6.2 (no change)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 26 Jan 2024 19:18:06 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libtinyxml-dev,
+               libtinyxml2-dev,
                libconsole-bridge-dev,
                liburdfdom-headers-dev (>= 1.0),
                googletest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/urdfdom
 Vcs-Git: https://salsa.debian.org/science-team/urdfdom.git
 Rules-Requires-Root: no
 Homepage: https://github.com/ros/urdfdom
 
-Package: liburdfdom-model3.0
+Package: liburdfdom-model4.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -27,7 +27,7 @@
  .
  This package contains the URDF DOM model library.
 
-Package: liburdfdom-model-state3.0
+Package: liburdfdom-model-state4.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -39,7 +39,7 @@
  .
  This package contains the URDF DOM model state library.
 
-Package: liburdfdom-sensor3.0
+Package: liburdfdom-sensor4.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -51,7 +51,7 @@
  .
  This package contains the URDF DOM sensor library.
 
-Package: liburdfdom-world3.0
+Package: liburdfdom-world4.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -67,13 +67,13 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libtinyxml-dev,
+Depends: libtinyxml2-dev,
          libconsole-bridge-dev,
          liburdfdom-headers-dev (>= 1.0),
-         liburdfdom-model3.0 (= ${binary:Version}),
-         liburdfdom-model-state3.0 (= ${binary:Version}),
-         liburdfdom-sensor3.0 (= ${binary:Version}),
-         liburdfdom-world3.0 (= ${binary:Version}),
+         liburdfdom-model4.0 (= ${binary:Version}),
+         liburdfdom-model-state4.0 (= ${binary:Version}),
+         liburdfdom-sensor4.0 (= ${binary:Version}),
+         liburdfdom-world4.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: URDF DOM - development files
  The URDF (U-Robot Description Format) library provides core data

=== debian/tests/control ===
Tests: build
Depends: @, build-essential, pkg-config, cmake

## urdfdom 5.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required( VERSION 3.5 FATAL_ERROR )
 project (urdfdom CXX C)
 
-set (URDF_MAJOR_VERSION 4)
+set (URDF_MAJOR_VERSION 5)
 set (URDF_MINOR_VERSION 0)
-set (URDF_PATCH_VERSION 0)
+set (URDF_PATCH_VERSION 4)
 
 set (URDF_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION}.${URDF_PATCH_VERSION})
 set (URDF_MAJOR_MINOR_VERSION ${URDF_MAJOR_VERSION}.${URDF_MINOR_VERSION})
@@ -45,10 +45,9 @@
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
-find_package(tinyxml2_vendor QUIET)
 find_package(TinyXML2 REQUIRED)
 
-find_package(urdfdom_headers 1.0 REQUIRED)
+find_package(urdfdom_headers REQUIRED)
 find_package(console_bridge_vendor QUIET) # Provides console_bridge 0.4.0 on platforms without it.
 find_package(console_bridge REQUIRED)
 
@@ -66,7 +65,7 @@
 add_subdirectory(urdf_parser)
 
 set(PKG_NAME ${PROJECT_NAME})
-set(PKG_LIBRARIES urdfdom_sensor urdfdom_model_state urdfdom_model urdfdom_world)
+set(PKG_LIBRARIES urdfdom_sensor urdfdom_model urdfdom_world)
 set(PKG_DEPENDS urdfdom_headers)
 set(PKG_EXPORTS urdfdom)
 set(cmake_conf_file "cmake/urdfdom-config")
@@ -91,7 +90,7 @@
 # Make the package config file
 set(PKG_DESC "Unified Robot Description Format")
 set(PKG_DEPENDS "urdfdom_headers") # make the list separated by spaces instead of ;
-set(PKG_URDF_LIBS "-lurdfdom_sensor -lurdfdom_model_state -lurdfdom_model -lurdfdom_world")
+set(PKG_URDF_LIBS "-lurdfdom_sensor -lurdfdom_model -lurdfdom_world")
 set(pkg_conf_file "cmake/pkgconfig/urdfdom.pc")
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${pkg_conf_file}.in" "${CMAKE_BINARY_DIR}/${pkg_conf_file}" @ONLY)
 install(FILES ${CMAKE_BINARY_DIR}/${pkg_conf_file}

=== urdf_parser/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
   add_library(${add_urdfdom_library_LIBNAME} SHARED
     ${add_urdfdom_library_SOURCES})
+  add_library(urdfdom::${add_urdfdom_library_LIBNAME} ALIAS ${add_urdfdom_library_LIBNAME})
   target_include_directories(${add_urdfdom_library_LIBNAME} PUBLIC
     "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
     "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")
@@ -63,13 +64,6 @@
   LINK
     urdfdom_model)
 
-add_urdfdom_library(
-  LIBNAME
-    urdfdom_model_state
-  SOURCES
-    src/urdf_model_state.cpp
-    src/twist.cpp)
-
 add_library(urdf_parser INTERFACE)
 target_include_directories(urdf_parser INTERFACE
   "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
@@ -84,10 +78,6 @@
 add_executable(check_urdf src/check_urdf.cpp)
 target_include_directories(check_urdf PUBLIC include)
 target_link_libraries(check_urdf urdfdom_model urdfdom_world)
-
-# Deprecated executable
-add_executable(urdf_to_graphiz src/urdf_to_graphviz.cpp)
-target_link_libraries(urdf_to_graphiz urdfdom_model)
 
 add_executable(urdf_to_graphviz src/urdf_to_graphviz.cpp)
 target_include_directories(urdf_to_graphviz PUBLIC include)
@@ -107,7 +97,6 @@
 INSTALL(
   TARGETS
   check_urdf
-  urdf_to_graphiz
   urdf_to_graphviz
   urdf_mem_test
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
@@ -119,7 +108,6 @@
   urdfdom_model
   urdfdom_world
   urdfdom_sensor
-  urdfdom_model_state
   urdf_parser
   EXPORT
   urdfdom

=== debian/changelog ===
urdfdom (5.0.4-2) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 07 Feb 2026 10:16:40 +0000

urdfdom (5.0.4-1) experimental; urgency=medium

  * New upstream version 5.0.4

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 22 Dec 2025 11:45:09 +0100

urdfdom (5.0.2-1) experimental; urgency=medium

  * Update d/watch to v5
  * Bump standards to 4.7.2
  * New upstream version 5.0.2
  * Move package names to the 5.0 suffix
  * Remove deprecated model-state lib

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 11 Sep 2025 15:25:05 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
                libconsole-bridge-dev,
                liburdfdom-headers-dev (>= 1.0),
                googletest
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/urdfdom
 Vcs-Git: https://salsa.debian.org/science-team/urdfdom.git
-Rules-Requires-Root: no
 Homepage: https://github.com/ros/urdfdom
 
-Package: liburdfdom-model4.0
+Package: liburdfdom-model5.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -27,19 +26,7 @@
  .
  This package contains the URDF DOM model library.
 
-Package: liburdfdom-model-state4.0
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Description: URDF DOM - model state library
- The URDF (U-Robot Description Format) library provides core data
- structures and a simple XML parsers for populating the class data
- structures from an URDF file.
- .
- This package contains the URDF DOM model state library.
-
-Package: liburdfdom-sensor4.0
+Package: liburdfdom-sensor5.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -51,7 +38,7 @@
  .
  This package contains the URDF DOM sensor library.
 
-Package: liburdfdom-world4.0
+Package: liburdfdom-world5.0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -70,10 +57,9 @@
 Depends: libtinyxml2-dev,
          libconsole-bridge-dev,
          liburdfdom-headers-dev (>= 1.0),
-         liburdfdom-model4.0 (= ${binary:Version}),
-         liburdfdom-model-state4.0 (= ${binary:Version}),
-         liburdfdom-sensor4.0 (= ${binary:Version}),
-         liburdfdom-world4.0 (= ${binary:Version}),
+         liburdfdom-model5.0 (= ${binary:Version}),
+         liburdfdom-sensor5.0 (= ${binary:Version}),
+         liburdfdom-world5.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: URDF DOM - development files
  The URDF (U-Robot Description Format) library provides core data

=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/ros/urdfdom/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Searchmode: plain
